CaptureType
Date: 2015-09-17

org.easymock

## Enum CaptureType

- java.lang.Object
- - java.lang.Enum<CaptureType>
  - - org.easymock.CaptureType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CaptureType>

      public enum CaptureType
      extends java.lang.Enum<CaptureType>

  Defines how arguments will be captured by a `Capture` object
  See Also:
    `Capture`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Will capture, in order, the arguments of each matching calls
    `FIRST` Will capture the argument of the first matching call
    `LAST` Will capture the argument of the last matching call
    `NONE` Do not capture anything

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CaptureType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CaptureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CaptureType NONE

      Do not capture anything

    - #### FIRST

          public static final CaptureType FIRST

      Will capture the argument of the first matching call

    - #### LAST

          public static final CaptureType LAST

      Will capture the argument of the last matching call

    - #### ALL

          public static final CaptureType ALL

      Will capture, in order, the arguments of each matching calls

  - ### Method Detail

    - #### values

          public static CaptureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CaptureType c : CaptureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CaptureType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null